Bug 984873 - selinux error during livecd-creator
selinux error during livecd-creator
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 04:52 EDT by penthium2
Modified: 2015-02-18 06:18 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:18:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (113.00 KB, application/octet-stream)
2013-07-16 05:25 EDT, penthium2
no flags Details
Dbus error on livecd (80.52 KB, image/jpeg)
2013-07-16 05:58 EDT, penthium2
no flags Details

  None (edit)
Description penthium2 2013-07-16 04:52:45 EDT
Description of problem:

Some selinux error during creation of liveCD-lxde

cause liveCD unstable.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.12.1-63.fc19.noarch

livecd-tools-19.5-1.fc19.x86_64

fedora-kickstarts-0.19.8-1.fc19.noarch

How reproducible:

juste run livecd-creator

Steps to Reproduce:
1. livecd-creator -p -v --config=/usr/share/spin-kickstarts/fedora-livecd-lxde.ks -fslabel=lxdm
2.
3.

Actual results:

example of errors : 
/etc/selinux/targeted/contexts/files/file_contexts: line 1600 has invalid context system_u:object_r:iodined_initrc_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 1909 has invalid context system_u:object_r:openvpn_unconfined_script_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 2449 has invalid context system_u:object_r:mdadm_unit_file_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 2527 has invalid context system_u:object_r:mdadm_unit_file_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 2581 has invalid context system_u:object_r:iodined_unit_file_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 3493 has invalid context system_u:object_r:iodined_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: line 5227 has invalid context system_u:object_r:systemd_vconsole_unit_file_t:s0
8.6%/etc/selinux/targeted/contexts/files/file_contexts: has invalid context system_u:object_r:mdadm_unit_file_t:s0

Expected results:

no SELINUX errors

Additional info:
Comment 1 penthium2 2013-07-16 05:25:17 EDT
Created attachment 774127 [details]
log file

the log file
Comment 2 penthium2 2013-07-16 05:58:58 EDT
Created attachment 774160 [details]
Dbus error on livecd

after creation I try the liveCD and I have a DBUS error and SELINUX AVC alert

And I can't shutdown the VM.
Comment 3 Miroslav Grepl 2013-07-18 13:37:06 EDT
Should be fixed in the latest selinux-policy.
Comment 4 Fedora End Of Life 2015-01-09 17:39:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:18:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.